Bug 188065 - X resolution downgrade to vga after upgrade FC4 to FC5.
X resolution downgrade to vga after upgrade FC4 to FC5.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 13:57 EDT by Thomas Steudten
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-12 08:58:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thomas Steudten 2006-04-05 13:57:56 EDT
Description of problem:

Using the same /etc/X11/xorg.conf file from FC4, graphical update to FC5 gives 
only vga resolution 640x480 from Xorg.
FC5 on Samsung laptop X20 and docking station.


Version-Release number of selected component (if applicable):

How reproducible:
Install FC4 on samsung X20 laptop, update to FC5 with same xorg.conf.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Xorg in FC5 starts only in vga resolution 640x480.

Expected results:
Xorg should start with the given resolution 1440x1050.

Additional info:
pci bus 0x0001 cardnum 0x00 function 0x00: vendor 0x1002 device 0x3150
 ATI Technologies Inc M24 1P [Radeon Mobility X600]

Xorg complains that there's no DDC data available for the vga connector, because
there's no monitor plugged in. So Xorg uses the default frequency for the hfreq
max. 30KHz for this external monitor and brings the resolution of the internal
flat screen down to vga..

Fix:

Add lines
Option      "MonitorLayout" "LVDS, CRT"
Option      "CRT2HSync" "30.0-90.0"

to Device section of xorg.conf.
Comment 1 Mike A. Harris 2006-05-19 06:01:33 EDT
If MonitorLayout option is required, then you have to always specify that
option manually because the driver is incapable of autodetecting the
connected displays correctly.

If you file a bug report in X.Org bugzilla and work with the upstream
X.Org developers to provide the necessary information, it is likely that
the autodetection logic can be improved in future releases.

The X.Org bugzilla is located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 2 Thomas Steudten 2006-05-19 06:33:17 EDT
(In reply to comment #1)
> If MonitorLayout option is required, then you have to always specify that
> option manually because the driver is incapable of autodetecting the
> connected displays correctly.

Well, same setup with FC4, everything is ok, install FC5 (xorg.conf doesn't
change), the X resolution is downgrade, because of the "missing" external monitor.
There is and was never a monitor at this vga connector, only the internal lcd -
and this worked with FC4 and xorg 6.8.
Comment 3 Adam Jackson 2006-08-04 19:53:40 EDT
Please attach the Xorg.0.log from a startup without the additional MonitorLayout
settings.
Comment 4 Thomas Steudten 2006-10-03 04:14:53 EDT
See above. Same from FC4, where it works. Add the two lines above, it works
again in FC5. 
Comment 5 Matěj Cepl 2007-02-12 04:55:57 EST
Now, we need real /var/log/Xorg.0.log and if you can /etc/X11/xorg.conf as
uncompressed attachments to this bug, it would be helpful.
Comment 6 Thomas Steudten 2007-02-12 08:15:28 EST
Sorry, this bug is too old. I don't have logs any more.

Note You need to log in before you can comment on or make changes to this bug.